List visible organization IDs
curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/visible-ids \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/organizations/visible-ids"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/identity/v1/organizations/visible-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizationIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Organizations
List visible organization IDs
Returns all organizations below the caller in the hierarchy (e.g., a bank sees its VSPs and their acceptors). Does NOT return organizations above the caller in the hierarchy. This endpoint returns only IDs for minimal payload size - ideal for caching by consuming services. Requires the organization:read:org scope.
Token types: APP, USER | Required scopes: organization:read:org
GET
/
identity
/
v1
/
organizations
/
visible-ids
List visible organization IDs
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Response
Returns the list of visible organization IDs.
Response DTO containing the list of organization IDs visible to the caller.
The list of organization IDs that are visible to the caller (children, grandchildren, etc. in the hierarchy).
Was this page helpful?